# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Session/Wrapper.pm) perl(Apache2/Connection.pm) perl(Apache2/Const.pm) perl(Apache2/Log.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Authen/CAS/Client.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Crypt/SSLeay.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Pod/Coverage.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(mod_perl2.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Apache2-AuthCASSimple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Apache2 module to authentificate through a CAS server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Y/YV/YVESAGO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Apache2::AuthCASSimple is an authentication module for Apache2/mod_perl2. It allow you to authentificate users through a Yale CAS server. It means you don't need to give login/password if you've already be authentificate by the CAS server, only tickets are exchanged between Web client, Apache2 server and CAS server. If you not're authentificate yet, you'll be redirect on the CAS server login form.

This module allow the use of simple text files for sessions.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README Todo examples
%perl_vendor_privlib/A*

%changelog
* Wed May 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

